/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_atoi.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: oklymeno <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/11/21 22:37:38 by oklymeno          #+#    #+#             */
/*   Updated: 2017/02/02 15:22:06 by oklymeno         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

uintmax_t	ft_atoi(char const *s)
{
	uintmax_t	i;
	uintmax_t	result;

	i = 0;
	result = 0;
	while ((s[i] == '\t') || (s[i] == '\v') || (s[i] == '\f') || (s[i] == '\r')
			|| (s[i] == '\n') || (s[i] == ' '))
		i++;
	if (s[i] == '-' || s[i] == '+')
		i++;
	while (s[i] >= '0' && s[i] <= '9')
		if (s[++i - 1] != '\0')
			result = result * 10 + s[i - 1] - 48;
	return (result);
}
